Groonga 4.1.0リリース(4.0.9ユーザーはアップグレード推奨)

Groonga 4.1.0リリース(4.0.9ユーザーはアップグレード推奨)

Groonga 4.0.9に「インデックスが壊れる可能性がある」という問題がわかったので、Groonga 4.1.0 をリリースしました。

すでにGroonga 4.0.9を使っている人は4.1.0へのアップグレードを推奨します。アップグレード後は次のようにインデックスを作りなおしてください。

column_remove TABLE INDEX_COLUMN
column_create TABLE INDEX_COLUMN COLUMN_INDEX|... # <- 作成したときと同じオプションを指定



これらのコマンドの使い方はドキュメントを参照してください。


  column_remove
  column_create


なお、Groonga 4.1.0でインデックスを更新(追加・削除・更新)せず、単に検索していただけの人はインデックスを作りなおす必要はありません。

以上の情報以外にも知りたいことがある方はメーリングリストや@groonga経由で質問してください。回答します。

ご不便をお掛けして申し訳ありませんが、4.0.9ユーザーの方は対応をお願いします。
Edit Post Back Destroy Post